## ros-indigo-dynamic-transform-publisher 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dynamic_transform_publisher)

find_package(catkin REQUIRED COMPONENTS roscpp tf2_ros dynamic_reconfigure interactive_markers visualization_msgs)

include(FindPkgConfig)

generate_dynamic_reconfigure_options(
  cfg/TF.cfg
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES dynamic_tf2
  CATKIN_DEPENDS roscpp tf2_ros dynamic_reconfigure interactive_markers visualization_msgs
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

link_directories(${catkin_LIBRARY_DIRS})

add_library(dynamic_tf2
  src/dynamic_transform_broadcaster.cpp
  src/dynamic_transform_marker.cpp
)
target_link_libraries(dynamic_tf2 ${catkin_LIBRARIES})
add_dependencies(dynamic_tf2 ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(dynamic_transform_publisher src/dynamic_transform_publisher.cpp)
target_link_libraries(dynamic_transform_publisher dynamic_tf2)

install(TARGETS dynamic_transform_publisher dynamic_tf2
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
FILES_MATCHING PATTERN "*.h"
PATTERN ".svn" EXCLUDE
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-dynamic-transform-publisher (1.0.1-1trusty) trusty; urgency=high

  * removed tf from CMakelists.txt
  * updated package.xml to format 2
  * marker and rqt_reconfigure update sync
  * Updated x,y,z limits to 100
  * added interactive marker
  * renamed library files
  * added documentation, updated namespacing
  * fixed startup with command line arguments
  * changed to broacasting on timer
  * moved reconfigure server to base class, moved base class to own header
  * updated dynamic_tranform_publisher to use dynamic_reconfigure
  * created dynamic reconfigure based static transform publisher
  * Contributors: Allison Thackston

 -- Allison Thackston <allison@lyonthackston.com>  Fri, 24 Nov 2017 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-dynamic-transform-publisher
Section: misc
Priority: extra
Maintainer: Allison Thackston <allison@lyonthackston.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-interactive-markers, ros-indigo-roscpp, ros-indigo-tf2-geometry-msgs, ros-indigo-tf2-ros, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-dynamic-transform-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dynamic-reconfigure, ros-indigo-interactive-markers, ros-indigo-roscpp, ros-indigo-tf2-geometry-msgs, ros-indigo-tf2-ros, ros-indigo-visualization-msgs
Description: Publish a static transform configured through dynamic reconfigure

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-dynamic-transform-publisher//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
